<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetModifiedFlag Method (IEdmCardViewCallback6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardViewCallback6 Interface : SetModifiedFlag Method (IEdmCardViewCallback6)

Visual Basic
C#
C++/CLI
Called when a card variable changes.

# Syntax

Visual Basic |
--- | ---

    Sub SetModifiedFlag()

C# |
--- | ---

    void SetModifiedFlag()

C++/CLI |
--- | ---

    void SetModifiedFlag();

# Example

See the IEdmCardViewCallback6 examples.

# Remarks

You can implement this method, for instance, to enable Save when the card changes.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCardViewCallback6 Interface
IEdmCardViewCallback6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0